Subject: Re: bug#39658: 26.3; can't edit file with terminal escape sequences

From: [email-masked]
Date: Tue, 18 Feb 2020 08:58:50 -0800

Thank you Mattias for figuring that out, and Eli for being more patient than I.

I think I'll let the professionals handle it from here.

On Tue, Feb 18, 2020 at 05:02:29PM +0100, Mattias Engdegård wrote:
>> My guess is that rendering the escape sequences in the problem file is causing some kind of quadratic complexity.
>
>It looks like it's the left square brackets ('['). Take them out and it's fast.
>

On Tue, Feb 18, 2020 at 06:08:55PM +0200, Eli Zaretskii wrote:
>> Date: Tue, 18 Feb 2020 05:48:59 -0800
>> From: [email-masked]
>>
>> To reproduce, open the attached file in Emacs, and type C-x C-n. On my system Emacs uses 100% of CPU, indefinitely.
>
>On my system, visiting this file takes 36 sec of CPU time.  Which is
>long, but is not indefinitely.
>
>If someone wants to investigate this case, I'd start with visiting the
>file after "M-x profiler-start".  Then look at the hot spot(s).
>